AN_CLEAR_AUTHSCHEMES(3)

NAME

an_clear_authschemes - reset all supported authentication schemes on connection

SYNOPSIS

#include <antinat.h>

int an_clear_authschemes(ANCONN s);

DESCRIPTION

The an_clear_authschemes(3) function is used reset all supported authentication schemes on a connection. The default is to accept any supported authentication scheme when connecting to a proxy; using this function on a connection before connecting resets this to support no authentication schemes unless explicitly supported by calling the an_set_authscheme(3) function.

s is a socket previously created with an_new_connection(3), prior to connecting or binding.

RETURN VALUE

This call returns AN_ERROR_SUCCESS to indicate successful completion.

ERRORS

AN_ERROR_INVALIDARG
    The supplied connection is not a valid connection.

SEE ALSO

an_new_connection(3), an_set_authscheme(3), an_set_credentials(3)

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>